org.apache.cassandra.repair

## Class SystemDistributedKeyspace

- java.lang.Object
- - org.apache.cassandra.repair.SystemDistributedKeyspace

    public final class SystemDistributedKeyspace
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `NAME`
`static java.lang.String` `PARENT_REPAIR_HISTORY`
`static java.lang.String` `REPAIR_HISTORY`

### Constructor Summary

Constructors
Constructor and Description
`SystemDistributedKeyspace()`

### Method Summary

All Methods Static Methods Concrete Methods
`static KSMetaData` `definition()`
`static void` `failedRepairJob(java.util.UUID id, java.lang.String keyspaceName, java.lang.String cfname, java.lang.Throwable t)`
`static void` `failParentRepair(java.util.UUID parent_id, java.lang.Throwable t)`
`static void` `failRepairs(java.util.UUID id, java.lang.String keyspaceName, java.lang.String[] cfnames, java.lang.Throwable t)`
`static void` `startParentRepair(java.util.UUID parent_id, java.lang.String keyspaceName, java.lang.String[] cfnames, java.util.Collection<Range<Token>> ranges)`
`static void` `startRepairs(java.util.UUID id, java.util.UUID parent_id, java.lang.String keyspaceName, java.lang.String[] cfnames, Range<Token> range, java.lang.Iterable<java.net.InetAddress> endpoints)`
`static void` `successfulParentRepair(java.util.UUID parent_id, java.util.Collection<Range<Token>> successfulRanges)`
`static void` `successfulRepairJob(java.util.UUID id, java.lang.String keyspaceName, java.lang.String cfname)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

#### REPAIR_HISTORY

    public static final java.lang.String REPAIR_HISTORY

See Also:
  Constant Field Values

#### PARENT_REPAIR_HISTORY

    public static final java.lang.String PARENT_REPAIR_HISTORY

See Also:
  Constant Field Values

### Constructor Detail

#### SystemDistributedKeyspace

    public SystemDistributedKeyspace()

### Method Detail

#### definition

    public static KSMetaData definition()

#### startParentRepair

    public static void startParentRepair(java.util.UUID parent_id,
                                         java.lang.String keyspaceName,
                                         java.lang.String[] cfnames,
                                         java.util.Collection<Range<Token>> ranges)

#### failParentRepair

    public static void failParentRepair(java.util.UUID parent_id,
                                        java.lang.Throwable t)

#### successfulParentRepair

    public static void successfulParentRepair(java.util.UUID parent_id,
                                              java.util.Collection<Range<Token>> successfulRanges)

#### startRepairs

    public static void startRepairs(java.util.UUID id,
                                    java.util.UUID parent_id,
                                    java.lang.String keyspaceName,
                                    java.lang.String[] cfnames,
                                    Range<Token> range,
                                    java.lang.Iterable<java.net.InetAddress> endpoints)

#### failRepairs

    public static void failRepairs(java.util.UUID id,
                                   java.lang.String keyspaceName,
                                   java.lang.String[] cfnames,
                                   java.lang.Throwable t)

#### successfulRepairJob

    public static void successfulRepairJob(java.util.UUID id,
                                           java.lang.String keyspaceName,
                                           java.lang.String cfname)

#### failedRepairJob

    public static void failedRepairJob(java.util.UUID id,
                                       java.lang.String keyspaceName,
                                       java.lang.String cfname,
                                       java.lang.Throwable t)